using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje4
{
    class Program
    {
        static void Main(string[] args)
        {
            int a,i,m=0,k=0,br=0,z=0;
            string s,d="";
            char c='0';
            s = Console.ReadLine();
            a = s.Length;
            int[] b = new int[10];
            for (i = 0; i < a / 2; i++)
            {
                b[0] = s.LastIndexOf('0') - s.IndexOf('0');
                b[1] = s.LastIndexOf('1') - s.IndexOf('1');
                b[2] = s.LastIndexOf('2') - s.IndexOf('2');
                b[3] = s.LastIndexOf('3') - s.IndexOf('3');
                b[4] = s.LastIndexOf('4') - s.IndexOf('4');
                b[5] = s.LastIndexOf('5') - s.IndexOf('5');
                b[6] = s.LastIndexOf('6') - s.IndexOf('6');
                b[7] = s.LastIndexOf('7') - s.IndexOf('7');
                b[8] = s.LastIndexOf('8') - s.IndexOf('8');
                b[9] = s.LastIndexOf('9') - s.IndexOf('9');
                for (i = 0; i < 10; i++)
                {
                    if (b[i] > 1 && m == 0)
                    {
                        m = b[i];
                        k = i;
                        z++;
                    }
                    if (b[i] > 1 && m != 0 && b[i] <= m)
                    {
                        m = b[i];
                        k = i;
                        z++;
                    }
                    if (b[i] > 1)
                    {
                        z++;
                    }
                }
                if (z > 0)
                {
                    d = Convert.ToString(k);
                    c = Convert.ToChar(d);
                    for (i = s.IndexOf(c); i < s.LastIndexOf(c); i++)
                    {
                        if (s[i] != c)
                        {
                            s = s.Remove(i, 1);
                            s = s.Insert(i, d);
                            br++;
                        }
                    }
                }
            }
            Console.WriteLine(br);
            Console.ReadLine();
        }
    }
}